﻿<cfapplication name="demo-web-client-1" sessionmanagement="true" />

<cfset nick = "jack" />

<cfset demo = createObject("component", "demo") />

<cfif not StructKeyExists(SESSION, "messages")>
	<cfset tmp = demo.getAllMessages(nick) />
<cfelse>
	<cfset tmp = demo.getMessages(nick) />
</cfif>

<cfparam name="SESSION.messages" default="#arrayNew(1)#" />
<cfparam name="FORM.newmsg" default="0" />

<cfif arrayLen(tmp) gt 0>
	<cfloop array="#tmp#" index="msg">
		<cfset tmp = arrayAppend(SESSION.messages, msg) />
	</cfloop>
</cfif>

<cfif FORM.newmsg eq 1>
	<cfset tmp = demo.sendDirectMessage(nick, FORM.msgto, FORM.msg) />
</cfif>

<cfoutput>
<h1>Jack's console</h1>
<table width="70%" border="1">
<thead>
	<tr>
		<th width="5%">DMID</th>
		<th width="5%">GMID</th>
		<th width="20%">SENDER</th>
		<th width="20%">RECIPIENT</th>
		<th>MESSAGE</th>
		<th width="20%">MOMENT</th>
	</tr>
</thead>
<tbody>
	<cfif arrayLen(SESSION.messages)>
	<cfloop array="#SESSION.messages#" index="msg">
	<tr>
		<td align="center">#msg.DMID#&nbsp;</td>
		<td align="center">#msg.GMID#&nbsp;</td>
		<td align="left">#msg.SENDER#&nbsp;</td>
		<td align="left">#msg.RECIPIENT#&nbsp;</td>
		<td align="left">#msg.MESSAGE#&nbsp;</td>
		<td align="left">#msg.MOMENT#&nbsp;</td>
	</tr>
	</cfloop>
	<cfelse>
	<tr>
		<td colspan="6" align="center">(No messages)</td>
	</tr>
	</cfif>
</tbody>
</table>
<form action="" method="post">
	<input type="hidden" name="newmsg" value="1" />
	Jack to: <select name="msgto"> 
				<option value="alice">Alice</option>
				<option value="bob">Bob</option>
			 </select>
	<input type="text" name="msg" width="70" />
	<input type="submit" value="Send" />
</form>
</cfoutput>